> ## Documentation Index > Fetch the complete documentation index at: https://docs.restaurant365.com/llms.txt > Use this file to discover all available pages before exploring further. # /public/v1/vendors > Retrieves vendors as specified by the given parameters ## OpenAPI ````json GET /public/v1/vendors { "openapi": "3.0.1", "info": { "title": "R365.PublicApi", "contact": { "name": "R365 Services Team", "email": "r365@restaurant365.com" }, "version": "1.0" }, "security": [ { "Bearer": [] } ], "paths": { "/public/v1/vendors": { "get": { "tags": [ "inventory" ], "description": "Retrieves vendors as specified by the given parameters", "parameters": [ { "name": "modifiedOnStart", "in": "query", "description": "Starting datetime of 'modifiedOn' range; must be accompanied by 'modifiedOnEnd'", "schema": { "type": "string", "format": "date-time" } }, { "name": "modifiedOnEnd", "in": "query", "description": "Ending datetime of 'modifiedOn' range; must be accompanied by 'modifiedOnStart'", "schema": { "type": "string", "format": "date-time" } }, { "name": "pageSize", "in": "query", "description": "Maximum number of top level objects in the response, max value 250; if there are more objects matching the criteria, a link with a continuation token will be included in the response", "schema": { "type": "integer", "format": "int32" } }, { "name": "continuationToken", "in": "query", "description": "", "schema": { "type": "string" } } ], "responses": { "200": { "description": "The list of vendors", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/QueryContinuationResponseVendorPublicDto" } }, "application/json": { "schema": { "$ref": "#/components/schemas/QueryContinuationResponseVendorPublicDto" } }, "text/json": { "schema": { "$ref": "#/components/schemas/QueryContinuationResponseVendorPublicDto" } } } }, "403": { "description": "Forbidden", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/R365.Inventory.Public.Models.ProblemDetails" } } } }, "422": { "description": "Unprocessable Content", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/R365.Inventory.Public.Models.R365Error" } } } } } } } }, "components": { "schemas": { "QueryContinuationResponseVendorPublicDto": { "type": "object", "properties": { "items": { "type": "array", "items": { "$ref": "#/components/schemas/VendorPublicDto" }, "nullable": true, "description": "Collection of query continuation response vendor records returned in this page." }, "nextLink": { "type": "string", "nullable": true, "description": "URL to retrieve the next page of results, or null when this is the last page." } }, "additionalProperties": false }, "R365.Inventory.Public.Models.ProblemDetails": { "type": "object", "properties": { "type": { "type": "string", "nullable": true }, "title": { "type": "string", "nullable": true }, "status": { "type": "integer", "format": "int32", "nullable": true, "description": "Current status of the problem details." }, "detail": { "type": "string", "nullable": true }, "instance": { "type": "string", "nullable": true } } }, "R365.Inventory.Public.Models.R365Error": { "type": "object", "properties": { "errorCode": { "type": "string", "nullable": true }, "innerError": { "$ref": "#/components/schemas/R365.Inventory.Public.Models.R365Error" } } }, "VendorPublicDto": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "description": "Unique identifier of the vendor." }, "name": { "type": "string", "nullable": true, "description": "Display name of the vendor." }, "number": { "type": "string", "nullable": true, "description": "Number assigned to the vendor." }, "comment": { "type": "string", "nullable": true, "description": "Free-text comment associated with the vendor." }, "createdBy": { "$ref": "#/components/schemas/Users.UserReference", "description": "User who created the vendor." }, "createdOn": { "type": "string", "format": "date-time", "nullable": true, "description": "Timestamp when the vendor was created." }, "modifiedBy": { "$ref": "#/components/schemas/Users.UserReference", "description": "User who last modified the vendor." }, "modifiedOn": { "type": "string", "format": "date-time", "nullable": true, "description": "Timestamp when the vendor was last modified." }, "address": { "$ref": "#/components/schemas/VendorAddressPublicDto" } }, "additionalProperties": false }, "Users.UserReference": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "description": "Unique identifier of the user." }, "name": { "type": "string", "nullable": true, "description": "Display name of the user." } }, "additionalProperties": false }, "VendorAddressPublicDto": { "type": "object", "properties": { "addressLine1": { "type": "string", "nullable": true }, "addressLine2": { "type": "string", "nullable": true }, "addressLine3": { "type": "string", "nullable": true }, "city": { "type": "string", "nullable": true }, "stateOrProvince": { "type": "string", "nullable": true }, "country": { "type": "string", "nullable": true }, "postalCode": { "type": "string", "nullable": true } }, "additionalProperties": false } }, "securitySchemes": { "Bearer": { "type": "http", "description": "Put **_ONLY_** your JWT Bearer token on textbox below!", "scheme": "Bearer", "bearerFormat": "JWT" } } } } ````